# log4cpp::StringLiteralComponent Struct Reference

Inheritance diagram for log4cpp::StringLiteralComponent:

[legend]
Collaboration diagram for log4cpp::StringLiteralComponent:

[legend]
List of all members.

## Public Member Functions

| StringLiteralComponent (const std::string &literal)
virtual void | append (std::ostringstream &out, const LoggingEvent &event)

## Constructor & Destructor Documentation

log4cpp::StringLiteralComponent::StringLiteralComponent | ( | const std::string & | literal | ) | `[inline]`

## Member Function Documentation

virtual void log4cpp::StringLiteralComponent::append | ( | std::ostringstream & | out,
|  | const LoggingEvent & | event |
| ) |  |  | `[inline, virtual]`

Implements log4cpp::PatternLayout::PatternComponent.

The documentation for this struct was generated from the following file:

- PatternLayout.cpp